; =====================================================
; ===============  PILL CABINET TWEAK  ================
; =====================================================

; --- set pill cabs to have a max of 2 pills

;modify:
;{
;	match:
;	{
;		"model" "models/props_interiors/medicalcabinet02.mdl"
;	}
;	replace:
;	{
;		"HealthCount" "2"
;	}
;}

; =====================================================
; =========  PROMOD HUNTINGRIFLE REPLACEMENT  =========
; =====================================================
;filter:
;{
;	"classname" "weapon_hunting_rifle_spawn"
;}
;filter:
;{
;	"classname" "weapon_sniper_military_spawn"
;}
;filter:
;{
;	"weapon_selection" "any_sniper_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_hunting_rifle"
;}
;filter:
;{
;	"weapon_selection" "weapon_sniper_military"
;}
; =====================================================
; ================  EXPLOITS BLOCKED  =================
; =====================================================
add:
; --- block survivor hang-climb to the top of roofs before plank
{
	; invisible block above roof
	"origin" "224 2824 440"
	"mins" "-192 -56 -104"
	"maxs" "192 56 104"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
; --- block grief jumping on opening gates to stop them from opening
{
	; invisible block above switch (first)
	"origin" "2535 5641 -979"
	"mins" "-7 -5 -13"
	"maxs" "7 5 13"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block above switch (second)
	"origin" "5180 5402 -967"
	"mins" "-2 -8 -47"
	"maxs" "2 8 47"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
{
	; invisible block along railing
	"origin" "5183 5616 -1004"
	"mins" "-1 -128 -60"
	"maxs" "1 128 60"
	"initialstate" "1"
	"BlockType" "1"
	"classname" "env_physics_blocker"
}
; =====================================================
